Properties Methods Events Direct Link

# Class Ext.state.Provider

Package: | Ext.state
Defined In: | Provider.js
Class: | Provider
Subclasses: | CookieProvider
Extends: | Object

Abstract base class for state provider implementations. This class provides methods for encoding and decoding typed variables including dates and defines the Provider interface.

## Public Properties

Property | Defined By
--- | ---
| : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! | Provider
| Slovak : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! | Provider
| indicatorText : Object Swedish translation (utf8-encoding) By Erik Andersson, Monator Technologies 24 April 2007 Changed by Cariad, 29 July ... Swedish translation (utf8-encoding) By Erik Andersson, Monator Technologies 24 April 2007 Changed by Cariad, 29 July 2007 | Provider
| indicatorText : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! Dutch Translations by Ido Sebastiaan Bas van Oostv... List compiled by mystix on the extjs.com forums. Thank you Mystix! Dutch Translations by Ido Sebastiaan Bas van Oostveen (12 Oct 2007) updated to 2.2 by Condor (8 Aug 2008) | Provider

indicatorText : Object
Romanian translations for ExtJS 2.1 First released by Lucian Lature on 2007-04-24 Changed locale for Romania (date fo...
Romanian translations for ExtJS 2.1 First released by Lucian Lature on 2007-04-24 Changed locale for Romania (date formats) as suggested by keypoint on ExtJS forums: http://www.extjs.com/forum/showthread.php?p=129524#post129524 Removed some useless parts Changed by: Emil Cazamir, 2008-04-24 Fixed some errors left behind Changed by: Emil Cazamir, 2008-09-01

Provider

| indicatorText : Object Portuguese/Portugal (pt_PT) Translation by Nuno Franco da Costa - francodacosta.com translated from ext-lang-en.js | Provider
| indicatorText : Object Greek (Old Version) Translations by Vagelis 03-June-2007 | Provider
| indicatorText : Object Latvian Translations By salix 17 April 2007 | Provider
| indicatorText : Object Finnish Translations <tuomas.salo (at) iki.fi> 'ä' should read as lowercase 'a' with two dots on top (ä) | Provider
| indicatorText : Object Greek translation By thesilentman (utf8 encoding) 27 Apr 2008 Changes since previous (second) Version: + added Date.s... Greek translation By thesilentman (utf8 encoding) 27 Apr 2008 Changes since previous (second) Version: + added Date.shortMonthNames + added Date.getShortMonthName + added Date.monthNumbers + added Ext.grid.GroupingView | Provider
| indicatorText : Object Hebrew Translations By spartacus (from forums) 06-12-2007 | Provider
| indicatorText : Object Catalonian Translation by halkon_polako 6-12-2007 December correction halkon_polako 11-12-2007 Synchronized with 2.2 ... Catalonian Translation by halkon_polako 6-12-2007 December correction halkon_polako 11-12-2007 Synchronized with 2.2 version of ext-lang-en.js (provided by Condor 8 aug 2008) by halkon_polako 14-aug-2008 | Provider
| indicatorText : Object Vietnamese translation By bpmtri 12-April-2007 04:06PM | Provider
| indicatorText : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! Turkish translation by Alper YAZGAN 2008-01-24, 10... List compiled by mystix on the extjs.com forums. Thank you Mystix! Turkish translation by Alper YAZGAN 2008-01-24, 10:29 AM Updated to 2.2 by YargicX 2008-10-05, 06:22 PM | Provider

indicatorText : Object
Pedoman translasi: http://id.wikisource.org/wiki/Panduan_Pembakuan_Istilah,_Pelaksanaan_Instruksi_Presiden_Nomor_2_Ta...
Pedoman translasi: http://id.wikisource.org/wiki/Panduan_Pembakuan_Istilah,_Pelaksanaan_Instruksi_Presiden_Nomor_2_Tahun_2001_Tentang_Penggunaan_Komputer_Dengan_Aplikasi_Komputer_Berbahasa_Indonesia Original source: http://vlsm.org/etc/baku-0.txt by Farid GS farid [at] pulen.net 10:13 04 Desember 2007 Indonesian Translations

Provider

| indicatorText : Object Korean Translations By nicetip 05 September 2007 Modify by techbug / 25 February 2008 | Provider
| indicatorText : Object Lithuanian Translations (UTF-8) Vladas Saulis (vladas at prodata dot lt), 03-29-2009 Vladas Saulis (vladas at prodat... Lithuanian Translations (UTF-8) Vladas Saulis (vladas at prodata dot lt), 03-29-2009 Vladas Saulis (vladas at prodata dot lt), 10-18-2007 | Provider
| indicatorText : Object Norwegian translation (Nynorsk: no-NN) By Tore Kjørsvik 21-January-2008 | Provider
| indicatorText : Object Polish Translations By vbert 17-April-2007 Updated by mmar 16-November-2007 Encoding: utf-8 | Provider
| indicatorText : Object Czech Translations Translated by Tomáš Korčák (72) 2008/02/08 18:02, Ext-2.0.1 | Provider
| indicatorText : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! English (UK) Translations updated to 2.2 by Condor... List compiled by mystix on the extjs.com forums. Thank you Mystix! English (UK) Translations updated to 2.2 by Condor (8 Aug 2008) | Provider
| indicatorText : Object List compiled by KillerNay on the extjs.com forums. Thank you KillerNay! Thailand Translations | Provider
| indicatorText : Object Portuguese/Brazil Translation by Weber Souza 08 April 2007 Updated by Allan Brazute Alves (EthraZa) 06 September 2007... Portuguese/Brazil Translation by Weber Souza 08 April 2007 Updated by Allan Brazute Alves (EthraZa) 06 September 2007 Updated by Leonardo Lima 05 March 2008 Updated by Juliano Tarini (jtarini) 22 April 2008 | Provider
| indicatorText : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! Hungarian Translations (utf-8 encoded) by Amon (2... List compiled by mystix on the extjs.com forums. Thank you Mystix! Hungarian Translations (utf-8 encoded) by Amon <amon@theba.hu> (27 Apr 2008) encoding fixed by Vili (17 Feb 2009) | Provider
| indicatorText : Object Norwegian translation (Bokmål: no-NB) By Tore Kjørsvik 21-January-2008 | Provider
| indicatorText : Object List compiled by mystix on the extjs.com forums. Thank you Mystix! English Translations updated to 2.2 by Condor (8 A... List compiled by mystix on the extjs.com forums. Thank you Mystix! English Translations updated to 2.2 by Condor (8 Aug 2008) | Provider
| indicatorText : Object Bulgarian Translation By Георги Костадинов, Калгари, Канада 10 October 2007 By Nedko Penev 26 October 2007 (utf-8 en... Bulgarian Translation By Георги Костадинов, Калгари, Канада 10 October 2007 By Nedko Penev 26 October 2007 (utf-8 encoding) | Provider
| indicatorText : Object Slovenian translation by Matjaž (UTF-8 encoding) 25 April 2007 | Provider

## Public Methods

Method | Defined By
--- | ---

clear( `String name` ) : void
Clears a value from the state
Clears a value from the state
Parameters:

- `name` : String
  The key name

Returns:

- void

Provider

decodeValue( `String value` ) : Mixed
Decodes a string previously encoded with encodeValue.
Decodes a string previously encoded with encodeValue.
Parameters:

- `value` : String
  The value to decode

Returns:

- `Mixed`
  The decoded value

Provider

encodeValue( `Mixed value` ) : String
Encodes a value including type information. Decode with decodeValue.
Encodes a value including type information. Decode with decodeValue.
Parameters:

- `value` : Mixed
  The value to encode

Returns:

- `String`
  The encoded value

Provider

get( `String name`, `Mixed defaultValue` ) : Mixed
Returns the current value for a key
Returns the current value for a key
Parameters:

- `name` : String
  The key name
- `defaultValue` : Mixed
  A default value to return if the key's value is not found

Returns:

- `Mixed`
  The state data

Provider

set( `String name`, `Mixed value` ) : void
Sets the value for a key
Sets the value for a key
Parameters:

- `name` : String
  The key name
- `value` : Mixed
  The value to set

Returns:

- void

Provider

## Public Events

Event | Defined By
--- | ---

statechange : ( `Provider this`, `String key`, `String value` )
Fires when a state change occurs.
Fires when a state change occurs.
Listeners will be called with the following arguments:

- `this` : Provider
  This state provider
- `key` : String
  The state key which was changed
- `value` : String
  The encoded value for the state

Provider